SimpleOrthoPairSet (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.SimpleOrthoPairSet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class SimpleOrthoPairSet

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.homologene.AbstractOrthoPairSet
              org.biojava.bio.program.homologene.SimpleOrthoPairSet

All Implemented Interfaces:
  OrthoPairSet, Changeable

    public class SimpleOrthoPairSet

extends AbstractOrthoPairSet

a no-frills implementation of a Homologene Group

Author:
  David Huen

Nested Class Summary
`class` | `SimpleOrthoPairSet.Iterator`

Field Summary

Fields inherited from interface org.biojava.bio.program.homologene.OrthoPairSet
`MODIFY`

Constructor Summary
`SimpleOrthoPairSet()`

Method Summary
`void` | `addOrthoPair(OrthoPair orthology)` adds a specified OrthoPair relationship to this group.
`double` | `getMinIdentity()` get the lowest level of identity observed in this Group
`String` | `getName()` retrieves name of this group.
`Set` | `getTaxa()` get the taxa represented in this group
`OrthoPairSet.Iterator` | `iterator()` returns an iterator to the members of this set
`void` | `removeOrthoPair(OrthoPair orthology)` removes a specified OrthoPair relationship from this group.
`void` | `setName(String name)` set the name of this group.
`int` | `size()` returns an iterator to the contents of the set.

Methods inherited from class org.biojava.bio.program.homologene.AbstractOrthoPairSet
`filter`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleOrthoPairSet

    public SimpleOrthoPairSet()

Method Detail

### getName

    public String getName()

  Description copied from interface: `OrthoPairSet`
  retrieves name of this group. Homologene itself does not assign names or identifiers to groups.

### setName

    public void setName(String name)

  Description copied from interface: `OrthoPairSet`
  set the name of this group.

### addOrthoPair

    public void addOrthoPair(OrthoPair orthology)
                      throws ChangeVetoException

  Description copied from interface: `OrthoPairSet`
  adds a specified OrthoPair relationship to this group.

  Throws:
    `ChangeVetoException`

### removeOrthoPair

    public void removeOrthoPair(OrthoPair orthology)
                         throws ChangeVetoException

  Description copied from interface: `OrthoPairSet`
  removes a specified OrthoPair relationship from this group.

  Throws:
    `ChangeVetoException`

### iterator

    public OrthoPairSet.Iterator iterator()

  Description copied from interface: `OrthoPairSet`
  returns an iterator to the members of this set

### getMinIdentity

    public double getMinIdentity()

  Description copied from interface: `OrthoPairSet`
  get the lowest level of identity observed in this Group

### size

    public int size()

  Description copied from interface: `OrthoPairSet`
  returns an iterator to the contents of the set. /** no. of entries in this Homologene group

### getTaxa

    public Set getTaxa()

  Description copied from interface: `OrthoPairSet`
  get the taxa represented in this group

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD